<!-- Standard Struts Entries -->

<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<html:html locale="true">

<!-- Make sure window is not in a frame -->
<script language="JavaScript" type="text/javascript">
  if (top != self) {
    top.location=self.document.location;
  }
</script>

<!-- Standard Content -->

<%@ include file="begin.jsp" %>

<!-- Body -->
<body class="login">

<!-- Login -->
<form method="POST" action='<%= response.encodeURL("j_security_check") %>' name="loginForm">
<table border="0" cellspacing="5" align="center">
  <!-- banner -->
  <tr><td align="center"><img src="images/logo/JonasAdmin.jpg"></td></tr>
  <!-- username password prompts fields layout -->
  <tr>
    <td>
      <table width="100%" border="0" cellspacing="2" cellpadding="5">
        <tr>
          <th align="right"><bean:message key="label.login.username"/></th>
          <td align="left"><input type="text" name="j_username" size="16" maxlength="16"/></td>
       </tr>
       <tr>
         <th align="right"><bean:message key="label.login.password"/></th>
         <td align="left"><input type="password" name="j_password" size="16" maxlength="16"/></td>
       </tr>
       <tr>
         <td></td>
         <td>&nbsp;</td>
       </tr>
       <!-- login reset buttons layout -->
       <tr>
         <td align="right"><input type="submit" value='<bean:message key="button.login"/>'></td>
         <td><input type="reset" value='<bean:message key="button.reset"/>'></td>
       </tr>
     </table>
   </td>
  </tr>
</table>
</form>

<script language="JavaScript" type="text/javascript">
  <!--
    document.forms["loginForm"].elements["j_username"].focus()
  // -->
</script>

</body>

<!-- Standard Footer -->

<%@ include file="end.jsp" %>

</html:html>
